Index: trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.xcodeproj/project.pbxproj
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.xcodeproj/project.pbxproj	(revision 342)
+++ trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.xcodeproj/project.pbxproj	(revision 409)
@@ -4,9 +4,8 @@
 	classes = {
 	};
-	objectVersion = 42;
+	objectVersion = 44;
 	objects = {
 
 /* Begin PBXBuildFile section */
-		25666ADA0A1D97B50006AC79 /* CoreFoundation.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 25666AD90A1D97B50006AC79 /* CoreFoundation.framework */; };
 		25666C4E0A1DAE4D0006AC79 /* Security.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 25666C4D0A1DAE4D0006AC79 /* Security.framework */; };
 		258C27790A25A57200AC22BB /* FScript.framework in Resources */ = {isa = PBXBuildFile; fileRef = F5EFC2C3020A6C2601AEEDB1 /* FScript.framework */; };
@@ -16,46 +15,21 @@
 		E14C18BF05A4F013000D4AF3 /* Bullseye menu cursor.tiff in Resources */ = {isa = PBXBuildFile; fileRef = F5694E2702E96FFE01AEEDB1 /* Bullseye menu cursor.tiff */; };
 		E14C1ECF05A8DB19000D4AF3 /* Ellipsis.tiff in Resources */ = {isa = PBXBuildFile; fileRef = E14C1ECE05A8DB19000D4AF3 /* Ellipsis.tiff */; };
-		E1D652050575B4870054F5D1 /* FSAController.h in Headers */ = {isa = PBXBuildFile; fileRef = F574ADDA020ACAC801AEEDB1 /* FSAController.h */; };
 		E1D652060575B4870054F5D1 /* FSAController.m in Sources */ = {isa = PBXBuildFile; fileRef = F574ADDB020ACAC801AEEDB1 /* FSAController.m */; };
-		E1D652070575B4890054F5D1 /* FSAViewAssociationController.h in Headers */ = {isa = PBXBuildFile; fileRef = F5FF50BC02E53B9E01AEEDB1 /* FSAViewAssociationController.h */; };
 		E1D652080575B4890054F5D1 /* FSAViewAssociationController.m in Sources */ = {isa = PBXBuildFile; fileRef = F5FF50BD02E53B9E01AEEDB1 /* FSAViewAssociationController.m */; };
-		E1D652090575B48A0054F5D1 /* FSAWindowManager.h in Headers */ = {isa = PBXBuildFile; fileRef = F5FD7889034828E101AEEDB1 /* FSAWindowManager.h */; };
 		E1D6520A0575B48B0054F5D1 /* FSAWindowManager.m in Sources */ = {isa = PBXBuildFile; fileRef = F5FD788A034828E101AEEDB1 /* FSAWindowManager.m */; };
 		E1D652AA0575B5F10054F5D1 /* SCPatchLoader.bundle in Resources */ = {isa = PBXBuildFile; fileRef = E1D652040575B3D50054F5D1 /* SCPatchLoader.bundle */; };
 		E1D6B58C05A31C56003838B0 /* Carbon.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = F59279FB01FED0C901AEEC37 /* Carbon.framework */; };
 		E1D6B5A005A31C82003838B0 /* SCPatchPrivate.c in Sources */ = {isa = PBXBuildFile; fileRef = E1E4A91B05A25F440097D040 /* SCPatchPrivate.c */; };
-		E1D6B5A105A31C84003838B0 /* SCPatchPrivate.h in Headers */ = {isa = PBXBuildFile; fileRef = E1E4A91C05A25F440097D040 /* SCPatchPrivate.h */; };
-		E1D6B5A205A31C94003838B0 /* mach_inject.h in Headers */ = {isa = PBXBuildFile; fileRef = E1EE98BD0575626E00F2D92C /* mach_inject.h */; };
 		E1D6B5A305A31CA1003838B0 /* SCPatchContext.cpp in Sources */ = {isa = PBXBuildFile; fileRef = E1E4A92105A25F440097D040 /* SCPatchContext.cpp */; };
-		E1D6B5A405A31CA2003838B0 /* SCPatchContext.h in Headers */ = {isa = PBXBuildFile; fileRef = E1E4A92205A25F440097D040 /* SCPatchContext.h */; };
 		E1D6B5A505A31CA4003838B0 /* SCPatchRecord.cpp in Sources */ = {isa = PBXBuildFile; fileRef = E1E4A92605A25F440097D040 /* SCPatchRecord.cpp */; };
-		E1D6B5A605A31CA5003838B0 /* SCPatchRecord.h in Headers */ = {isa = PBXBuildFile; fileRef = E1E4A92705A25F440097D040 /* SCPatchRecord.h */; };
 		E1D6B5FD05A32226003838B0 /* SCPatchMessenger.cp in Sources */ = {isa = PBXBuildFile; fileRef = E1E4A91905A25F440097D040 /* SCPatchMessenger.cp */; };
-		E1D6B5FE05A3222D003838B0 /* SCPatchMessenger.h in Headers */ = {isa = PBXBuildFile; fileRef = E1E4A91A05A25F440097D040 /* SCPatchMessenger.h */; };
 		E1D6B69F05A45CBF003838B0 /* SCPatchPrivate.c in Sources */ = {isa = PBXBuildFile; fileRef = E1E4A91B05A25F440097D040 /* SCPatchPrivate.c */; };
-		E1D6B6A005A45CC0003838B0 /* SCPatchPrivate.h in Headers */ = {isa = PBXBuildFile; fileRef = E1E4A91C05A25F440097D040 /* SCPatchPrivate.h */; };
 		E1D6B7EA05A4AAE2003838B0 /* Localizable.strings in Resources */ = {isa = PBXBuildFile; fileRef = E1D6B7E905A4AAE2003838B0 /* Localizable.strings */; };
 		E1E4A96305A261630097D040 /* SCPatchController.cpp in Sources */ = {isa = PBXBuildFile; fileRef = E1E4A92305A25F440097D040 /* SCPatchController.cpp */; };
-		E1E4A96405A261640097D040 /* SCPatchController.h in Headers */ = {isa = PBXBuildFile; fileRef = E1E4A92405A25F440097D040 /* SCPatchController.h */; };
 		E1E4A9D405A2852E0097D040 /* SCPatchLoader.c in Sources */ = {isa = PBXBuildFile; fileRef = E1E4A92505A25F440097D040 /* SCPatchLoader.c */; };
 		E1E4A9E405A28B210097D040 /* FSABundle.mm in Sources */ = {isa = PBXBuildFile; fileRef = 103DFC20016C16E20C000109 /* FSABundle.mm */; };
-		E1E4A9F605A28BF80097D040 /* SCPatchPrivate.h in Headers */ = {isa = PBXBuildFile; fileRef = E1E4A91C05A25F440097D040 /* SCPatchPrivate.h */; };
-		E1E4A9F705A28BFA0097D040 /* SCPatchCommon.h in Headers */ = {isa = PBXBuildFile; fileRef = E1E4A91805A25F440097D040 /* SCPatchCommon.h */; };
 		E1E4AA0905A28C860097D040 /* SCPatchMessenger.cp in Sources */ = {isa = PBXBuildFile; fileRef = E1E4A91905A25F440097D040 /* SCPatchMessenger.cp */; };
-		E1E4AA0A05A28C880097D040 /* SCPatchMessenger.h in Headers */ = {isa = PBXBuildFile; fileRef = E1E4A91A05A25F440097D040 /* SCPatchMessenger.h */; };
 		E1E4AA0B05A28C930097D040 /* SCPatchClient.cpp in Sources */ = {isa = PBXBuildFile; fileRef = E1E4A91E05A25F440097D040 /* SCPatchClient.cpp */; };
-		E1E4AA0C05A28C940097D040 /* SCPatchClient.h in Headers */ = {isa = PBXBuildFile; fileRef = E1E4A91F05A25F440097D040 /* SCPatchClient.h */; };
 		E1E4AA1305A28EEB0097D040 /* Carbon.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = F59279FB01FED0C901AEEC37 /* Carbon.framework */; };
-		E1EE9A040575769600F2D92C /* FSAApp.h in Headers */ = {isa = PBXBuildFile; fileRef = 103DFC16016C12D80C000109 /* FSAApp.h */; };
-		E1EE9A050575769600F2D92C /* DeVercruesseProcess.h in Headers */ = {isa = PBXBuildFile; fileRef = F5EFC2CB020A6CD101AEEDB1 /* DeVercruesseProcess.h */; };
-		E1EE9A060575769600F2D92C /* DeVercruesseProcessManager.h in Headers */ = {isa = PBXBuildFile; fileRef = F5EFC2CC020A6CD101AEEDB1 /* DeVercruesseProcessManager.h */; };
-		E1EE9A070575769600F2D92C /* CPS.h in Headers */ = {isa = PBXBuildFile; fileRef = F5EFC2D1020A6CEC01AEEDB1 /* CPS.h */; };
-		E1EE9A080575769600F2D92C /* FSAAppList.h in Headers */ = {isa = PBXBuildFile; fileRef = F5EFC2D6020A6E0E01AEEDB1 /* FSAAppList.h */; };
-		E1EE9A090575769600F2D92C /* NSString-NJRExtensions.h in Headers */ = {isa = PBXBuildFile; fileRef = F5EFC2DD020A6EB901AEEDB1 /* NSString-NJRExtensions.h */; };
-		E1EE9A0A0575769600F2D92C /* NJRLabeledImageCell.h in Headers */ = {isa = PBXBuildFile; fileRef = F5EFC2E1020A6FD501AEEDB1 /* NJRLabeledImageCell.h */; };
-		E1EE9A0B0575769600F2D92C /* libMatch.h in Headers */ = {isa = PBXBuildFile; fileRef = F5EFC2E7020A8F7F01AEEDB1 /* libMatch.h */; };
-		E1EE9A0C0575769600F2D92C /* NJRScrollView.h in Headers */ = {isa = PBXBuildFile; fileRef = F574ADD6020AC10F01AEEDB1 /* NJRScrollView.h */; };
-		E1EE9A0D0575769600F2D92C /* FSAnywhere.h in Headers */ = {isa = PBXBuildFile; fileRef = F523EA2B020CF06A01AEEC37 /* FSAnywhere.h */; };
-		E1EE9A0E0575769600F2D92C /* NSTableView-NJRExtensions.h in Headers */ = {isa = PBXBuildFile; fileRef = F53A0D8202750B1F01AEEDB1 /* NSTableView-NJRExtensions.h */; };
 		E1EE9A100575769600F2D92C /* MainMenu.nib in Resources */ = {isa = PBXBuildFile; fileRef = 29B97318FDCFA39411CA2CEA /* MainMenu.nib */; };
 		E1EE9A110575769600F2D92C /* InfoPlist.strings in Resources */ = {isa = PBXBuildFile; fileRef = 089C165CFE840E0CC02AAC07 /* InfoPlist.strings */; };
@@ -80,11 +54,7 @@
 		E1EE9A790575776300F2D92C /* FScript.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = F5EFC2C3020A6C2601AEEDB1 /* FScript.framework */; };
 		E1EE9A7A0575776700F2D92C /* Cocoa.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 1058C7A1FEA54F0111CA2CBB /* Cocoa.framework */; };
-		E1EE9A7B0575778900F2D92C /* FSAnywhere.h in Headers */ = {isa = PBXBuildFile; fileRef = F523EA2B020CF06A01AEEC37 /* FSAnywhere.h */; };
 		E1EE9A7C0575778900F2D92C /* FSAnywhere.m in Sources */ = {isa = PBXBuildFile; fileRef = F523EA2E020CF15B01AEEC37 /* FSAnywhere.m */; };
 		E1EE9AA90575945300F2D92C /* F-Script Anywhere.bundle in Resources */ = {isa = PBXBuildFile; fileRef = E1EE9A4F057576A700F2D92C /* F-Script Anywhere.bundle */; };
 		E1F3DF920579172A00E952A5 /* FSA.strings in Resources */ = {isa = PBXBuildFile; fileRef = E1F3DF900579172A00E952A5 /* FSA.strings */; };
-		E1FD00C805B90A64001DABE0 /* SCPatchMessages.h in Headers */ = {isa = PBXBuildFile; fileRef = E1FD00C705B90A64001DABE0 /* SCPatchMessages.h */; };
-		E1FD00C905B90A64001DABE0 /* SCPatchMessages.h in Headers */ = {isa = PBXBuildFile; fileRef = E1FD00C705B90A64001DABE0 /* SCPatchMessages.h */; };
-		E1FD00CA05B90A64001DABE0 /* SCPatchMessages.h in Headers */ = {isa = PBXBuildFile; fileRef = E1FD00C705B90A64001DABE0 /* SCPatchMessages.h */; };
 		E1FD011605B91232001DABE0 /* mach_error descriptions.strings in Resources */ = {isa = PBXBuildFile; fileRef = E1FD011505B91232001DABE0 /* mach_error descriptions.strings */; };
 /* End PBXBuildFile section */
@@ -108,13 +78,4 @@
 
 /* Begin PBXCopyFilesBuildPhase section */
-		25666ACD0A1D96D10006AC79 /* CopyFiles */ = {
-			isa = PBXCopyFilesBuildPhase;
-			buildActionMask = 2147483647;
-			dstPath = "";
-			dstSubfolderSpec = 10;
-			files = (
-			);
-			runOnlyForDeploymentPostprocessing = 0;
-		};
 		E1EE9A2B0575769600F2D92C /* CopyFiles */ = {
 			isa = PBXCopyFilesBuildPhase;
@@ -135,11 +96,8 @@
 		103DFC20016C16E20C000109 /* FSABundle.mm */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = sourcecode.cpp.objcpp; path = FSABundle.mm; sourceTree = SOURCE_ROOT; };
 		1058C7A1FEA54F0111CA2CBB /* Cocoa.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = Cocoa.framework; path = /System/Library/Frameworks/Cocoa.framework; sourceTree = "<absolute>"; };
-		256669AD0A1D8DE30006AC79 /* DSCL.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; path = DSCL.framework; sourceTree = "<group>"; };
-		25666AD90A1D97B50006AC79 /* CoreFoundation.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = CoreFoundation.framework; path = /System/Library/Frameworks/CoreFoundation.framework; sourceTree = "<absolute>"; };
-		25666C0F0A1DACEB0006AC79 /* Foundation.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = Foundation.framework; path = /System/Library/Frameworks/Foundation.framework; sourceTree = "<absolute>"; };
 		25666C4D0A1DAE4D0006AC79 /* Security.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = Security.framework; path = /System/Library/Frameworks/Security.framework; sourceTree = "<absolute>"; };
 		258C25590A259B6E00AC22BB /* FScript.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; path = FScript.framework; sourceTree = "<group>"; };
 		25D8A24B0CBD347A00EFA0BD /* Certificate.cer */ = {isa = PBXFileReference; lastKnownFileType = file; path = Certificate.cer; sourceTree = "<group>"; };
-		25EADA9509CD2D7100BCD8E1 /* bytesex.c */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = sourcecode.c.c; name = bytesex.c; path = "../Darwin source/Commands/Apple/cctools/libstuff/bytesex.c"; sourceTree = SOURCE_ROOT; };
+		25EADA9509CD2D7100BCD8E1 /* bytesex.c */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = sourcecode.c.c; name = bytesex.c; path = "../Darwin source/cctools/libstuff/bytesex.c"; sourceTree = SOURCE_ROOT; };
 		29B97316FDCFA39411CA2CEA /* main.m */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = sourcecode.c.objc; path = main.m; sourceTree = "<group>"; };
 		29B97319FDCFA39411CA2CEA /* English */ = {isa = PBXFileReference; lastKnownFileType = wrapper.nib; name = English; path = English.lproj/MainMenu.nib; sourceTree = "<group>"; };
@@ -187,5 +145,5 @@
 		F57D63160319B6CA01AEEDB1 /* Fallback checkmark.tiff */ = {isa = PBXFileReference; lastKnownFileType = image.tiff; path = "Fallback checkmark.tiff"; sourceTree = "<group>"; };
 		F59279FB01FED0C901AEEC37 /* Carbon.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = Carbon.framework; path = /System/Library/Frameworks/Carbon.framework; sourceTree = "<absolute>"; };
-		F5B11ED902E67DB101AEEDB1 /* VERSION */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = text; path = VERSION; sourceTree = "<group>"; };
+		F5B11ED902E67DB101AEEDB1 /* VERSION.xcconfig */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = text.xcconfig; path = VERSION.xcconfig; sourceTree = "<group>"; };
 		F5EFC2C3020A6C2601AEEDB1 /* FScript.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; path = FScript.framework; sourceTree = "<group>"; };
 		F5EFC2C9020A6CD101AEEDB1 /* DeVercruesseProcess.m */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = sourcecode.c.objc; path = DeVercruesseProcess.m; sourceTree = "<group>"; };
@@ -223,5 +181,4 @@
 				E1EE9A270575769600F2D92C /* Cocoa.framework in Frameworks */,
 				E1EE9A280575769600F2D92C /* Carbon.framework in Frameworks */,
-				25666ADA0A1D97B50006AC79 /* CoreFoundation.framework in Frameworks */,
 				25666C4E0A1DAE4D0006AC79 /* Security.framework in Frameworks */,
 			);
@@ -254,5 +211,4 @@
 			isa = PBXGroup;
 			children = (
-				25666C0F0A1DACEB0006AC79 /* Foundation.framework */,
 				F523EA31020CF1C701AEEC37 /* Shared sources */,
 				29B97315FDCFA39411CA2CEA /* Bundle sources */,
@@ -304,5 +260,5 @@
 				F5680F83020D369A01AEEC37 /* LICENSE.rtf */,
 				F5680F7F020D35ED01AEEC37 /* Read Me */,
-				F5B11ED902E67DB101AEEDB1 /* VERSION */,
+				F5B11ED902E67DB101AEEDB1 /* VERSION.xcconfig */,
 			);
 			name = Resources;
@@ -312,9 +268,7 @@
 			isa = PBXGroup;
 			children = (
-				25666C4D0A1DAE4D0006AC79 /* Security.framework */,
-				25666AD90A1D97B50006AC79 /* CoreFoundation.framework */,
-				256669AD0A1D8DE30006AC79 /* DSCL.framework */,
 				F59279FB01FED0C901AEEC37 /* Carbon.framework */,
 				1058C7A1FEA54F0111CA2CBB /* Cocoa.framework */,
+				25666C4D0A1DAE4D0006AC79 /* Security.framework */,
 				F5EFC2C3020A6C2601AEEDB1 /* FScript.framework */,
 			);
@@ -425,57 +379,4 @@
 /* End PBXGroup section */
 
-/* Begin PBXHeadersBuildPhase section */
-		E1D651FB0575B3D50054F5D1 /* Headers */ = {
-			isa = PBXHeadersBuildPhase;
-			buildActionMask = 2147483647;
-			files = (
-				E1D6B5A105A31C84003838B0 /* SCPatchPrivate.h in Headers */,
-				E1FD00CA05B90A64001DABE0 /* SCPatchMessages.h in Headers */,
-			);
-			runOnlyForDeploymentPostprocessing = 0;
-		};
-		E1EE9A030575769600F2D92C /* Headers */ = {
-			isa = PBXHeadersBuildPhase;
-			buildActionMask = 2147483647;
-			files = (
-				E1EE9A040575769600F2D92C /* FSAApp.h in Headers */,
-				E1EE9A050575769600F2D92C /* DeVercruesseProcess.h in Headers */,
-				E1EE9A060575769600F2D92C /* DeVercruesseProcessManager.h in Headers */,
-				E1EE9A070575769600F2D92C /* CPS.h in Headers */,
-				E1EE9A080575769600F2D92C /* FSAAppList.h in Headers */,
-				E1EE9A090575769600F2D92C /* NSString-NJRExtensions.h in Headers */,
-				E1EE9A0A0575769600F2D92C /* NJRLabeledImageCell.h in Headers */,
-				E1EE9A0B0575769600F2D92C /* libMatch.h in Headers */,
-				E1EE9A0C0575769600F2D92C /* NJRScrollView.h in Headers */,
-				E1EE9A0D0575769600F2D92C /* FSAnywhere.h in Headers */,
-				E1EE9A0E0575769600F2D92C /* NSTableView-NJRExtensions.h in Headers */,
-				E1E4A96405A261640097D040 /* SCPatchController.h in Headers */,
-				E1D6B5A205A31C94003838B0 /* mach_inject.h in Headers */,
-				E1D6B5A405A31CA2003838B0 /* SCPatchContext.h in Headers */,
-				E1D6B5A605A31CA5003838B0 /* SCPatchRecord.h in Headers */,
-				E1D6B5FE05A3222D003838B0 /* SCPatchMessenger.h in Headers */,
-				E1D6B6A005A45CC0003838B0 /* SCPatchPrivate.h in Headers */,
-				E1FD00C805B90A64001DABE0 /* SCPatchMessages.h in Headers */,
-			);
-			runOnlyForDeploymentPostprocessing = 0;
-		};
-		E1EE9A4A057576A700F2D92C /* Headers */ = {
-			isa = PBXHeadersBuildPhase;
-			buildActionMask = 2147483647;
-			files = (
-				E1EE9A7B0575778900F2D92C /* FSAnywhere.h in Headers */,
-				E1D652050575B4870054F5D1 /* FSAController.h in Headers */,
-				E1D652070575B4890054F5D1 /* FSAViewAssociationController.h in Headers */,
-				E1D652090575B48A0054F5D1 /* FSAWindowManager.h in Headers */,
-				E1E4A9F605A28BF80097D040 /* SCPatchPrivate.h in Headers */,
-				E1E4A9F705A28BFA0097D040 /* SCPatchCommon.h in Headers */,
-				E1E4AA0A05A28C880097D040 /* SCPatchMessenger.h in Headers */,
-				E1E4AA0C05A28C940097D040 /* SCPatchClient.h in Headers */,
-				E1FD00C905B90A64001DABE0 /* SCPatchMessages.h in Headers */,
-			);
-			runOnlyForDeploymentPostprocessing = 0;
-		};
-/* End PBXHeadersBuildPhase section */
-
 /* Begin PBXNativeTarget section */
 		E1D651FA0575B3D50054F5D1 /* Bundle Loader */ = {
@@ -483,6 +384,4 @@
 			buildConfigurationList = 25EAD8EF09CD1E3900BCD8E1 /* Build configuration list for PBXNativeTarget "Bundle Loader" */;
 			buildPhases = (
-				E1D651FB0575B3D50054F5D1 /* Headers */,
-				E1D651FD0575B3D50054F5D1 /* Resources */,
 				E1D651FE0575B3D50054F5D1 /* Sources */,
 				E1D652010575B3D50054F5D1 /* Frameworks */,
@@ -501,11 +400,10 @@
 			buildConfigurationList = 25EAD8F309CD1E3900BCD8E1 /* Build configuration list for PBXNativeTarget "Application" */;
 			buildPhases = (
-				E1EE9A030575769600F2D92C /* Headers */,
-				25666ACD0A1D96D10006AC79 /* CopyFiles */,
 				E1EE9A0F0575769600F2D92C /* Resources */,
 				E1EE9A180575769600F2D92C /* Sources */,
 				E1EE9A260575769600F2D92C /* Frameworks */,
 				E1EE9A2B0575769600F2D92C /* CopyFiles */,
-				E1EE9A2D0575769600F2D92C /* ShellScript */,
+				E1EE9A2D0575769600F2D92C /* Copy Documentation (install only) */,
+				E186F1500D70BDFE008C1B31 /* Sign Code */,
 			);
 			buildRules = (
@@ -525,5 +423,4 @@
 			buildConfigurationList = 25EAD8EB09CD1E3900BCD8E1 /* Build configuration list for PBXNativeTarget "Bundle" */;
 			buildPhases = (
-				E1EE9A4A057576A700F2D92C /* Headers */,
 				E1EE9A4B057576A700F2D92C /* Resources */,
 				E1EE9A4C057576A700F2D92C /* Sources */,
@@ -545,5 +442,5 @@
 			isa = PBXProject;
 			buildConfigurationList = 25EAD8F709CD1E3900BCD8E1 /* Build configuration list for PBXProject "F-Script Anywhere" */;
-			compatibilityVersion = "Xcode 2.4";
+			compatibilityVersion = "Xcode 3.0";
 			hasScannedForEncodings = 1;
 			mainGroup = 29B97314FDCFA39411CA2CEA /* PatchTest */;
@@ -559,11 +456,4 @@
 
 /* Begin PBXResourcesBuildPhase section */
-		E1D651FD0575B3D50054F5D1 /* Resources */ = {
-			isa = PBXResourcesBuildPhase;
-			buildActionMask = 2147483647;
-			files = (
-			);
-			runOnlyForDeploymentPostprocessing = 0;
-		};
 		E1EE9A0F0575769600F2D92C /* Resources */ = {
 			isa = PBXResourcesBuildPhase;
@@ -598,9 +488,25 @@
 
 /* Begin PBXShellScriptBuildPhase section */
-		E1EE9A2D0575769600F2D92C /* ShellScript */ = {
+		E186F1500D70BDFE008C1B31 /* Sign Code */ = {
+			isa = PBXShellScriptBuildPhase;
+			buildActionMask = 2147483647;
+			files = (
+			);
+			inputPaths = (
+			);
+			name = "Sign Code";
+			outputPaths = (
+			);
+			runOnlyForDeploymentPostprocessing = 0;
+			shellPath = /bin/sh;
+			shellScript = "/usr/bin/codesign -s 'Nicholas Riley' -fv \"${BUILT_PRODUCTS_DIR}/${FULL_PRODUCT_NAME}\"";
+			showEnvVarsInLog = 0;
+		};
+		E1EE9A2D0575769600F2D92C /* Copy Documentation (install only) */ = {
 			isa = PBXShellScriptBuildPhase;
 			buildActionMask = 8;
 			files = (
 			);
+			name = "Copy Documentation (install only)";
 			runOnlyForDeploymentPostprocessing = 1;
 			shellPath = /bin/sh;
@@ -737,7 +643,9 @@
 			buildSettings = {
 				COPY_PHASE_STRIP = NO;
-				FRAMEWORK_SEARCH_PATHS = /Volumes/Ti/Library/Frameworks;
-				GCC_DYNAMIC_NO_PIC = NO;
-				GCC_ENABLE_FIX_AND_CONTINUE = YES;
+				FRAMEWORK_SEARCH_PATHS = (
+					"~/Library/Frameworks",
+					/Library/Frameworks,
+				);
+				GCC_ENABLE_OBJC_GC = supported;
 				GCC_GENERATE_DEBUGGING_SYMBOLS = YES;
 				GCC_OPTIMIZATION_LEVEL = 0;
@@ -746,9 +654,6 @@
 				INFOPLIST_FILE = "Bundle-Info.plist";
 				INSTALL_PATH = "$(USER_LIBRARY_DIR)/Bundles";
-				OPTIMIZATION_CFLAGS = "-O0";
 				OTHER_CFLAGS = "";
 				PRODUCT_NAME = "F-Script Anywhere";
-				SECTORDER_FLAGS = "";
-				ZERO_LINK = NO;
 			};
 			name = Development;
@@ -762,6 +667,9 @@
 				);
 				COPY_PHASE_STRIP = YES;
-				FRAMEWORK_SEARCH_PATHS = /Volumes/Ti/Library/Frameworks;
-				GCC_ENABLE_FIX_AND_CONTINUE = NO;
+				FRAMEWORK_SEARCH_PATHS = (
+					"~/Library/Frameworks",
+					/Library/Frameworks,
+				);
+				GCC_ENABLE_OBJC_GC = supported;
 				GCC_WARN_FOUR_CHARACTER_CONSTANTS = NO;
 				GCC_WARN_UNKNOWN_PRAGMAS = NO;
@@ -770,22 +678,6 @@
 				OTHER_CFLAGS = "-DFSA_DEBUG=0";
 				PRODUCT_NAME = "F-Script Anywhere";
-				SECTORDER_FLAGS = "";
-				ZERO_LINK = NO;
 			};
 			name = Deployment;
-		};
-		25EAD8EE09CD1E3900BCD8E1 /* Default */ = {
-			isa = XCBuildConfiguration;
-			buildSettings = {
-				FRAMEWORK_SEARCH_PATHS = /Volumes/Ti/Library/Frameworks;
-				GCC_WARN_FOUR_CHARACTER_CONSTANTS = NO;
-				GCC_WARN_UNKNOWN_PRAGMAS = NO;
-				INFOPLIST_FILE = "Bundle-Info.plist";
-				INSTALL_PATH = "$(USER_LIBRARY_DIR)/Bundles";
-				OTHER_CFLAGS = "";
-				PRODUCT_NAME = "F-Script Anywhere";
-				SECTORDER_FLAGS = "";
-			};
-			name = Default;
 		};
 		25EAD8F009CD1E3900BCD8E1 /* Development */ = {
@@ -794,5 +686,5 @@
 				COPY_PHASE_STRIP = NO;
 				GCC_DYNAMIC_NO_PIC = NO;
-				GCC_ENABLE_FIX_AND_CONTINUE = YES;
+				GCC_ENABLE_OBJC_GC = supported;
 				GCC_GENERATE_DEBUGGING_SYMBOLS = YES;
 				GCC_OPTIMIZATION_LEVEL = 0;
@@ -819,5 +711,5 @@
 				);
 				COPY_PHASE_STRIP = YES;
-				GCC_ENABLE_FIX_AND_CONTINUE = NO;
+				GCC_ENABLE_OBJC_GC = supported;
 				GCC_PRECOMPILE_PREFIX_HEADER = YES;
 				GCC_PREFIX_HEADER = "$(SDKROOT)/$(SYSTEM_LIBRARY_DIR)/Frameworks/Carbon.framework/Headers/Carbon.h";
@@ -833,19 +725,4 @@
 			name = Deployment;
 		};
-		25EAD8F209CD1E3900BCD8E1 /* Default */ = {
-			isa = XCBuildConfiguration;
-			buildSettings = {
-				GCC_PRECOMPILE_PREFIX_HEADER = YES;
-				GCC_PREFIX_HEADER = "$(SDKROOT)/$(SYSTEM_LIBRARY_DIR)/Frameworks/Carbon.framework/Headers/Carbon.h";
-				GCC_WARN_FOUR_CHARACTER_CONSTANTS = NO;
-				GCC_WARN_UNKNOWN_PRAGMAS = NO;
-				INFOPLIST_FILE = "Bundle Loader-Info.plist";
-				INSTALL_PATH = "$(USER_LIBRARY_DIR)/Bundles";
-				OTHER_CFLAGS = "";
-				PRODUCT_NAME = SCPatchLoader;
-				WARNING_CFLAGS = "-Wmost";
-			};
-			name = Default;
-		};
 		25EAD8F409CD1E3900BCD8E1 /* Development */ = {
 			isa = XCBuildConfiguration;
@@ -853,18 +730,14 @@
 				COPY_PHASE_STRIP = NO;
 				FRAMEWORK_SEARCH_PATHS = (
-					"$(SYSTEM_LIBRARY_DIR)/PrivateFrameworks",
-					"$(SRCROOT)",
-				);
-				GCC_DYNAMIC_NO_PIC = NO;
-				GCC_ENABLE_FIX_AND_CONTINUE = YES;
-				GCC_GENERATE_DEBUGGING_SYMBOLS = YES;
+					"~/Library/Frameworks",
+					/Library/Frameworks,
+				);
 				GCC_OPTIMIZATION_LEVEL = 0;
-				HEADER_SEARCH_PATHS = "$(HEADER_SEARCH_PATHS_QUOTED_1)";
-				HEADER_SEARCH_PATHS_QUOTED_1 = "\"$(SRCROOT)/../Darwin source/Commands/Apple/cctools/include\"";
+				HEADER_SEARCH_PATHS = "$(HEADER_SEARCH_PATHS_QUOTED_FOR_TARGET_1)";
+				HEADER_SEARCH_PATHS_QUOTED_FOR_TARGET_1 = "\"$(SRCROOT)/../Darwin source/cctools/include\"";
 				INFOPLIST_FILE = "Info-Application.plist";
 				INSTALL_PATH = /;
-				LIBRARY_SEARCH_PATHS = "$(LIBRARY_SEARCH_PATHS_QUOTED_1)";
-				LIBRARY_SEARCH_PATHS_QUOTED_1 = "\"$(SRCROOT)/../Darwin source/Commands/Apple/cctools/libstuff\"";
-				OPTIMIZATION_CFLAGS = "-O0";
+				LIBRARY_SEARCH_PATHS = "$(LIBRARY_SEARCH_PATHS_QUOTED_FOR_TARGET_1)";
+				LIBRARY_SEARCH_PATHS_QUOTED_FOR_TARGET_1 = "\"$(SRCROOT)/../Darwin source/cctools/libstuff\"";
 				OTHER_LDFLAGS = (
 					"-multiply_defined",
@@ -878,7 +751,5 @@
 					"Info-Application.plist",
 				);
-				PREBINDING = YES;
 				PRODUCT_NAME = "F-Script Anywhere";
-				SECTORDER_FLAGS = "";
 				WARNING_CFLAGS = (
 					"-Wno-long-double",
@@ -888,5 +759,4 @@
 				);
 				WRAPPER_EXTENSION = app;
-				ZERO_LINK = NO;
 			};
 			name = Development;
@@ -901,16 +771,14 @@
 				COPY_PHASE_STRIP = YES;
 				FRAMEWORK_SEARCH_PATHS = (
-					"$(SYSTEM_LIBRARY_DIR)/PrivateFrameworks",
-					"$(FRAMEWORK_SEARCH_PATHS_QUOTED_1)",
-				);
-				FRAMEWORK_SEARCH_PATHS_QUOTED_1 = "\"$(SRCROOT)\"";
-				GCC_ENABLE_FIX_AND_CONTINUE = NO;
-				HEADER_SEARCH_PATHS = "$(HEADER_SEARCH_PATHS_QUOTED_1)";
-				HEADER_SEARCH_PATHS_QUOTED_1 = "\"$(SRCROOT)/../Darwin source/Commands/Apple/cctools/include\"";
+					"~/Library/Frameworks",
+					/Library/Frameworks,
+				);
+				GCC_OPTIMIZATION_LEVEL = 0;
+				HEADER_SEARCH_PATHS = "$(HEADER_SEARCH_PATHS_QUOTED_FOR_TARGET_1)";
+				HEADER_SEARCH_PATHS_QUOTED_FOR_TARGET_1 = "\"$(SRCROOT)/../Darwin source/cctools/include\"";
 				INFOPLIST_FILE = "Info-Application.plist";
 				INSTALL_PATH = /;
-				LIBRARY_SEARCH_PATHS = "$(LIBRARY_SEARCH_PATHS_QUOTED_1)";
-				LIBRARY_SEARCH_PATHS_QUOTED_1 = "\"$(SRCROOT)/../Darwin source/Commands/Apple/cctools/libstuff\"";
-				OTHER_CFLAGS = "-DFSA_DEBUG=0";
+				LIBRARY_SEARCH_PATHS = "$(LIBRARY_SEARCH_PATHS_QUOTED_FOR_TARGET_1)";
+				LIBRARY_SEARCH_PATHS_QUOTED_FOR_TARGET_1 = "\"$(SRCROOT)/../Darwin source/cctools/libstuff\"";
 				OTHER_LDFLAGS = (
 					"-multiply_defined",
@@ -924,7 +792,5 @@
 					"Info-Application.plist",
 				);
-				PREBINDING = YES;
 				PRODUCT_NAME = "F-Script Anywhere";
-				SECTORDER_FLAGS = "";
 				WARNING_CFLAGS = (
 					"-Wno-long-double",
@@ -937,47 +803,10 @@
 			name = Deployment;
 		};
-		25EAD8F609CD1E3900BCD8E1 /* Default */ = {
-			isa = XCBuildConfiguration;
-			buildSettings = {
-				FRAMEWORK_SEARCH_PATHS = (
-					"$(SYSTEM_LIBRARY_DIR)/PrivateFrameworks",
-					"$(SRCROOT)",
-				);
-				HEADER_SEARCH_PATHS = "$(HEADER_SEARCH_PATHS_QUOTED_1)";
-				HEADER_SEARCH_PATHS_QUOTED_1 = "\"$(SRCROOT)/../Darwin source/Commands/Apple/cctools/include\"";
-				INFOPLIST_FILE = "Info-Application.plist";
-				INSTALL_PATH = /;
-				LIBRARY_SEARCH_PATHS = "$(LIBRARY_SEARCH_PATHS_QUOTED_1)";
-				LIBRARY_SEARCH_PATHS_QUOTED_1 = "\"$(SRCROOT)/../Darwin source/Commands/Apple/cctools/libstuff\"";
-				OTHER_LDFLAGS = (
-					"-multiply_defined",
-					suppress,
-					"-lstuff",
-					"-weak_framework",
-					FScript,
-					"-sectcreate",
-					__TEXT,
-					__info_plist,
-					"Info-Application.plist",
-				);
-				PREBINDING = YES;
-				PRODUCT_NAME = "F-Script Anywhere";
-				SECTORDER_FLAGS = "";
-				WARNING_CFLAGS = (
-					"-Wno-long-double",
-					"-Wmost",
-					"-Wno-four-char-constants",
-					"-Wno-unknown-pragmas",
-				);
-				WRAPPER_EXTENSION = app;
-				ZERO_LINK = NO;
-			};
-			name = Default;
-		};
 		25EAD8F809CD1E3900BCD8E1 /* Development */ = {
 			isa = XCBuildConfiguration;
+			baseConfigurationReference = F5B11ED902E67DB101AEEDB1 /* VERSION.xcconfig */;
 			buildSettings = {
-				MACOSX_DEPLOYMENT_TARGET = 10.1;
-				SDKROOT = /Developer/SDKs/MacOSX10.5.sdk;
+				GCC_PREPROCESSOR_DEFINITIONS = "FSA_VERSION=\"\\\"$(CURRENT_MARKETING_VERSION)\\\"\"";
+				SDKROOT = "$(DEVELOPER_SDK_DIR)/MacOSX10.5.sdk";
 			};
 			name = Development;
@@ -985,15 +814,10 @@
 		25EAD8F909CD1E3900BCD8E1 /* Deployment */ = {
 			isa = XCBuildConfiguration;
+			baseConfigurationReference = F5B11ED902E67DB101AEEDB1 /* VERSION.xcconfig */;
 			buildSettings = {
-				SDKROOT = /Developer/SDKs/MacOSX10.5.sdk;
+				GCC_PREPROCESSOR_DEFINITIONS = "FSA_VERSION=\"\\\"$(CURRENT_MARKETING_VERSION)\\\"\"";
+				SDKROOT = "$(DEVELOPER_SDK_DIR)/MacOSX10.5.sdk";
 			};
 			name = Deployment;
-		};
-		25EAD8FA09CD1E3900BCD8E1 /* Default */ = {
-			isa = XCBuildConfiguration;
-			buildSettings = {
-				SDKROOT = /Developer/SDKs/MacOSX10.5.sdk;
-			};
-			name = Default;
 		};
 /* End XCBuildConfiguration section */
@@ -1005,8 +829,7 @@
 				25EAD8EC09CD1E3900BCD8E1 /* Development */,
 				25EAD8ED09CD1E3900BCD8E1 /* Deployment */,
-				25EAD8EE09CD1E3900BCD8E1 /* Default */,
 			);
 			defaultConfigurationIsVisible = 0;
-			defaultConfigurationName = Default;
+			defaultConfigurationName = Development;
 		};
 		25EAD8EF09CD1E3900BCD8E1 /* Build configuration list for PBXNativeTarget "Bundle Loader" */ = {
@@ -1015,8 +838,7 @@
 				25EAD8F009CD1E3900BCD8E1 /* Development */,
 				25EAD8F109CD1E3900BCD8E1 /* Deployment */,
-				25EAD8F209CD1E3900BCD8E1 /* Default */,
 			);
 			defaultConfigurationIsVisible = 0;
-			defaultConfigurationName = Default;
+			defaultConfigurationName = Development;
 		};
 		25EAD8F309CD1E3900BCD8E1 /* Build configuration list for PBXNativeTarget "Application" */ = {
@@ -1025,8 +847,7 @@
 				25EAD8F409CD1E3900BCD8E1 /* Development */,
 				25EAD8F509CD1E3900BCD8E1 /* Deployment */,
-				25EAD8F609CD1E3900BCD8E1 /* Default */,
 			);
 			defaultConfigurationIsVisible = 0;
-			defaultConfigurationName = Default;
+			defaultConfigurationName = Development;
 		};
 		25EAD8F709CD1E3900BCD8E1 /* Build configuration list for PBXProject "F-Script Anywhere" */ = {
@@ -1035,8 +856,7 @@
 				25EAD8F809CD1E3900BCD8E1 /* Development */,
 				25EAD8F909CD1E3900BCD8E1 /* Deployment */,
-				25EAD8FA09CD1E3900BCD8E1 /* Default */,
 			);
 			defaultConfigurationIsVisible = 0;
-			defaultConfigurationName = Default;
+			defaultConfigurationName = Development;
 		};
 /* End XCConfigurationList section */
